Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath
Class XPathContext.XPathExpressionContext

    java.lang.Object
      |
      +--weblogic.apache.xpath.XPathContext.XPathExpressionContext

public class XPathContext.XPathExpressionContext
extends java.lang.Object
implements ExpressionContext

Constructor Summary
`XPathContext.XPathExpressionContext()`

Method Summary
`org.w3c.dom.Node` | `getContextNode()` Get the current context node.
`org.w3c.dom.traversal.NodeIterator` | `getContextNodes()` Get the current context node list.
`weblogic.apache.xml.dtm.DTMManager` | `getDTMManager()` Return the DTMManager object.
`XObject` | `getVariableOrParam(QName qname)` Get a variable based on it's qualified name.
`XPathContext` | `getXPathContext()` Return the XPathContext associated with this XPathExpressionContext.
`double` | `toNumber(org.w3c.dom.Node n)` Get the value of a node as a number.
`java.lang.String` | `toString(org.w3c.dom.Node n)` Get the value of a node as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathContext.XPathExpressionContext

    public XPathContext.XPathExpressionContext()

Method Detail

### getXPathContext

    public XPathContext getXPathContext()

  Return the XPathContext associated with this XPathExpressionContext. Extensions should use this judiciously and only when special processing requirements cannot be met another way. Consider requesting an enhancement to the ExpressionContext interface to avoid having to call this method.

  Returns:
    the XPathContext associated with this XPathExpressionContext.

### getDTMManager

    public weblogic.apache.xml.dtm.DTMManager getDTMManager()

  Return the DTMManager object. Though XPathContext context extends the DTMManager, it really is a proxy for the real DTMManager. If a caller needs to make a lot of calls to the DTMManager, it is faster if it gets the real one from this function.

### getContextNode

    public org.w3c.dom.Node getContextNode()

  Get the current context node.
  Specified by:
    getContextNode in interface ExpressionContext

  Returns:
    The current context node.

### getContextNodes

    public org.w3c.dom.traversal.NodeIterator getContextNodes()

  Get the current context node list.
  Specified by:
    getContextNodes in interface ExpressionContext

  Returns:
    An iterator for the current context list, as defined in XSLT.

### toNumber

    public double toNumber(org.w3c.dom.Node n)

  Get the value of a node as a number.
  Specified by:
    toNumber in interface ExpressionContext

  Parameters:
    `n` - Node to be converted to a number. May be null.
  Returns:
    value of n as a number.

### toString

    public java.lang.String toString(org.w3c.dom.Node n)

  Get the value of a node as a string.
  Specified by:
    toString in interface ExpressionContext

  Parameters:
    `n` - Node to be converted to a string. May be null.
  Returns:
    value of n as a string, or an empty string if n is null.

### getVariableOrParam

    public final XObject getVariableOrParam(QName qname)
                                     throws javax.xml.transform.TransformerException

  Get a variable based on it's qualified name.
  Specified by:
    getVariableOrParam in interface ExpressionContext

  Parameters:
    `qname` - The qualified name of the variable.
  Returns:
    The evaluated value of the variable.
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference